#ifndef NETWORK_CLIENT_H
#define NETWORK_CLIENT_H

#include "network_data.h"

#ifdef ENABLE_NETWORK

DEF_CLIENT_SEND_COMMAND_PARAM(PACKET_CLIENT_COMMAND)(CommandPacket *cp);
DEF_CLIENT_SEND_COMMAND_PARAM(PACKET_CLIENT_ERROR)(byte errorno);
DEF_CLIENT_SEND_COMMAND_PARAM(PACKET_CLIENT_QUIT)(const char *leavemsg);
DEF_CLIENT_SEND_COMMAND_PARAM(PACKET_CLIENT_CHAT)(NetworkAction action, DestType desttype, int dest, const char *msg);

NetworkRecvStatus NetworkClient_ReadPackets(ClientState *cs);
void NetworkClient_Connected(void);

#endif // ENABLE_NETWORK

#endif // NETWORK_CLIENT_H
