#ifndef NETWORK_SERVER_H
#define NETWORK_SERVER_H

#include "network_data.h"

#ifdef ENABLE_NETWORK

// Some commands are called from outside network_server.c
//  Those are one of them
DEF_SERVER_SEND_COMMAND(PACKET_SERVER_FRAME);
DEF_SERVER_SEND_COMMAND(PACKET_SERVER_MAP);
DEF_SERVER_SEND_COMMAND_PARAM(PACKET_SERVER_ERROR_QUIT)(ClientState *cs, const char *clientname, byte errorno);

void NetworkServer_HandleChat(NetworkAction action, DestType desttype, int dest, const char *msg, const char *name);

bool NetworkServer_ReadPackets(ClientState *cs);
void NetworkServer_Tick();

#endif // ENABLE_NETWORK

#endif // NETWORK_SERVER_H
